# -Configures for the use of G4mpi interface
# This file is configured by G4mpi for use by an external project
# This file is configured by G4mpi make system and SHOULD NOT BE EDITED
# 
# It defines the following variables
#    G4mpi_INCLUDE_DIR directory where the include files are installed
#    G4mpi_LIBRARIES library of the G4-MPI interface
#    G4mpi_FOUND TRUE if package correctly setup
# Usage:
#   Add -DG4mpi_DIR=.... to cmake command line when building 
#   a G4mpi enabled application
# 
# You may supply a version number through find_package which will be checked
# against the version of this build. Standard CMake logic is used so that
# the EXACT flag may be passed, and otherwise this build will report itself
# as compatible with the requested version if:
#
#  VERSION_OF_THIS_BUILD >= VERSION_REQUESTED
# You can specify additional components of Geant4 through the
# COMPONENTS argument to find_package.
# Specifiying additional components will enable a check on the existence of 
# these components, with the following per component variables being set:
#
#  G4mpi_${COMPONENT}_FOUND    TRUE is the Geant4 library 
#                                      "component" was found
# Components
# ---------------------
#  static            (Static libraries available. Using this component
#                     when static libraries are available will result in
#                     G4mpi_LIBRARIES being populated with the static
#                     versions of the Geant4 libraries. It does not
#                     guarantee the use of static third party libraries.)



find_package(MPI REQUIRED)

#Treatment of static libs
set(G4mpi_static_FOUND OFF)
set(G4mpi_shared_FOUND ON)

if(G4mpi_shared_FOUND)
   set(_libsuffix "")
else()
   set(_libsuffix "-static")
endif()

if(G4mpi_FIND_REQUIRED_static AND G4mpi_static_FOUND)
  set(_libsuffix "-static")
  list(REMOVE_ITEM G4mpi_FIND_COMPONENTS static)
endif()



# Compute paths
get_filename_component(G4mpi_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)
set(G4mpi_INCLUDE_DIR ${G4mpi_CMAKE_DIR}/../../include ${MPI_CXX_INCLUDE_PATH})

SET(G4MPI_OLD_MPI OFF)

if(G4MPI_OLD_MPI)
  add_definitions(-DTOOLS_USE_MPI_PACK_NOT_CONST)
  add_definitions(-DG4MPI_USE_MPI_PACK_NOT_CONST)
  # Prevent warning with c++11 on old MPI 
  add_definitions(-Wno-literal-suffix)
endif()

# Our library dependencies (contains definitions for IMPORTED targets)
if(NOT TARGET foo AND NOT G4mpi_BINARY_DIR)
  include("${G4mpi_CMAKE_DIR}/G4mpiTargets.cmake")
endif()

#These are IMPORTED targets created by G4mpiTargets.cmake
SET(G4mpi_LIBRARIES G4mpi${_libsuffix} ${MPI_CXX_LIBRARIES})
link_directories(${MPI_CXX_LIBRARY_DIRS})

SET(G4mpi_FOUND TRUE)


 

 
